Subject: Re: bug#19145: 24.4; prettify-symbols-mode inconsistent behavior

From: Ted Zlatanov <[email-masked]>
Date: Tue, 25 Nov 2014 10:17:41 -0500

On Tue, 25 Nov 2014 09:51:56 -0500 Stefan Monnier <[email-masked]> wrote: 

SM> But w.r.t "delta" in "delta_x" it would make a lot of sense for
SM> prettify-symbols-mode to provide support for that.
>> I don't think it would--I would keep `prettify-symbols-mode' strict. I
>> think Ken needs a different mode that's yet to be written:
>> `prettify-regex-mode'?

SM> By "provide support for that", I meant to provide the option to specify
SM> symbols with regexps.

But that would require some special adaptation because it wouldn't work
in reverse. IOW, how do you propose to preserve the current behavior of
the prettified symbol "delta" while also allowing for the regex "delta"?

Ted